Bug 144330 - Javac references incorrect libgcj
Javac references incorrect libgcj
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-05 19:21 EST by W. Michael Petullo
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: java-1.4.2-gcj-compat-1.4.2.0-38jpp
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-15 20:33:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2005-01-05 19:21:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.5)
Gecko/20041220 Epiphany/1.4.7

Description of problem:
The javac script installed by java-1.4.2-gcj-compat-devel seems to
reference the incorrect path to libgcj.  It says:

exec /usr/bin/gij \
    com.sun.tools.javac.Main \
        -bootclasspath /usr/share/java/libgcj-3.4.2.jar \
        ${1+"$@"}

but the current Raw Hide libgcj package is libgcj-3.4.3-11, not 3.4.2.
 I think the above script fragment should say:

        -bootclasspath /usr/share/java/libgcj-3.4.3.jar \

Version-Release number of selected component (if applicable):
java-1.4.2-gcj-compat-devel-1.4.2.0-21jpp

How reproducible:
Always

Steps to Reproduce:
Try to compile a Java program.
    

Actual Results:  [...]
This compilation unit indirectly references the missing type
java.lang.Object (typically some required class file is referencing a
type outside the classpath)
[...]

Additional info:
Comment 1 Thomas Fitzsimmons 2005-01-07 16:25:41 EST
I have a fix for this pending.  I'm just trying to sort out a build
system problem that's preventing me from building an updated package.
Comment 2 Thomas Fitzsimmons 2005-01-07 17:01:57 EST
OK, built.  This bug should be fixed by
java-1.4.2-gcj-compat-1.4.2.0-31jpp.  Can you test it and post your
findings here?
Comment 3 W. Michael Petullo 2005-01-15 20:33:07 EST
Java-1.4.2-gcj-compat-1.4.2.0-38jpp seems to work fine.

Note You need to log in before you can comment on or make changes to this bug.